Package org.eclipse.microprofile.lra.tck

# Class TckContextTests

java.lang.Object
org.eclipse.microprofile.lra.tck.TckTestBase
org.eclipse.microprofile.lra.tck.TckContextTests

public class TckContextTests extends TckTestBase
test that Compensate, Complete, Status, Forget and Leave annotations work without an LRA annotation test that resource methods that make outgoing requests do not modify the current context when they return

## Field Summary

### Fields inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`testName`

## Constructor Summary

Constructors
Constructor
Description
`TckContextTests()`

## Method Summary

Modifier and Type
Method
Description
`void`
`before()`
`static org.jboss.shrinkwrap.api.spec.WebArchive`
`deploy()`
`void`
`testAfterLRAEnlistmentDuringClosingPhase()`
`void`
`testAsync1Support()`
`void`
`testAsync2Support()`
`void`
`testAsync3Support()`
`void`
`testBasicContextPropagation()`
`void`
`testContextAfterRemoteCalls()`
`void`
`testForget()`
`void`
`testForgetCalledForNestedParticipantsWhenParentIsClosed()`
`void`
`testLeave()`
`void`
`testParentContextAvailable()`
`void`
`testStatus()`

### Methods inherited from class org.eclipse.microprofile.lra.tck.TckTestBase

`after`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TckContextTests

public TckContextTests()

## Method Details

### deploy

@Deployment(name="TckContextTests") public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

### before

public void before()

Overrides:
  `before` in class `TckTestBase`

### testBasicContextPropagation

public void testBasicContextPropagation()

### testStatus

public void testStatus()

### testLeave

public void testLeave()

### testForget

public void testForget()

### testParentContextAvailable

public void testParentContextAvailable()

### testForgetCalledForNestedParticipantsWhenParentIsClosed

public void testForgetCalledForNestedParticipantsWhenParentIsClosed()

### testContextAfterRemoteCalls

public void testContextAfterRemoteCalls()

### testAsync1Support

public void testAsync1Support()

### testAsync2Support

public void testAsync2Support()

### testAsync3Support

public void testAsync3Support()

### testAfterLRAEnlistmentDuringClosingPhase

public void testAfterLRAEnlistmentDuringClosingPhase()